CSL Pay Developers

End-Of-Day Statement

GET /remittance-middleware/statement/end-of-day

The End-Of-Day Statement endpoint retrieves the end-of-day statement for a specified account, providing details of all transactions processed by the remittance middleware on the previous business day. A partner would call this endpoint to obtain a daily summary of payout transactions. The response includes the account number, currency, opening and closing balance dates and amounts, as well as a list of transaction details.

Query parameters

  • date string
    Business date, ISO-8601 calendar date.
  • page integer
    1-based page number.
  • pageSize integer
    Rows per page, 1-500.
  • currencyCode string
    Alias for 'currency', accepted for backward compatibility.

Request body (optional)

This endpoint accepts a body with no declared schema.

Response 200

  • success boolean
    Indicates whether the request was successful
  • data object13 fields
    Contains the remittance statement data
    • accountNumber string
      The account number associated with the remittance statement
    • currency string
      The currency of the remittance statement
    • openingBalanceDate string
      The date of the opening balance in the remittance statement
    • closingBalanceDate string
      The date of the closing balance in the remittance statement
    • openingBalanceAmount number
      The opening balance amount in the remittance statement
    • closingBalanceAmount number
      The closing balance amount in the remittance statement
    • details array23 fields
      An array of transaction details in the remittance statement
      • systemReference string
        The system reference of a transaction in the remittance statement
      • originalSystemReference string
        The original system reference of a transaction in the remittance statement
      • direction string
        The direction of a transaction in the remittance statement
      • transactionType string
        The type of a transaction in the remittance statement
      • amount number
        The amount of a transaction in the remittance statement
      • currency string
        The currency of a transaction in the remittance statement
      • completedTime string
        The time when a transaction was completed in the remittance statement
      • beneficiaryAccountNumber string
        The beneficiary account number of a transaction in the remittance statement
      • beneficiaryName string
        The name of the beneficiary of a transaction in the remittance statement
      • beneficiaryBankName string
        The name of the beneficiary bank.
      • beneficiaryBankSwiftCode string
        The SWIFT code of the beneficiary bank.
      • beneficiaryPhoneNumber string
        The phone number of the beneficiary.
      • beneficiaryAddress string
        The address of the beneficiary.
      • beneficiaryCountryCode string
        The country code of the beneficiary.
      • payerName string
        The name of the payer.
      • payerAddress string
        The address of the payer.
      • payerPhoneNumber string
        The phone number of the payer.
      • payerEmailAddress string
        The email address of the payer.
      • payerCountryCode string
        The country code of the payer.
      • payerCurrency string
        The currency of the payer.
      • payerBankName string
        The name of the payer bank.
      • remark string
        A remark or note associated with the transaction.
      • valueDate string
        The date of the transaction value.
    • currentPage integer
      The current page number of the paginated response.
    • totalPages integer
      The total number of pages in the paginated response.
    • totalRecords integer
      The total number of records in the paginated response.
    • hasMore boolean
      A boolean indicating whether there are more records available.
    • netMovementAmount number
      The net amount that was paid out
    • balanceReconciled boolean
      A boolean indicating whether the balance was reconciled successfully
  • error object2 fields
    • code string
      The error code returned
    • message string
      The error message returned

Errors

StatusMeaning
400 Malformed or out-of-bounds query parameters
403 Token is not bound to an IMTO partner
404 No ledger account for the partner or currency